unit VampyreAboutDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  StdCtrls, jpeg, ExtCtrls,MMSYSTEM, Buttons,ShellAPI;

type
  TAboutForm = class(TForm)
    Memo: TMemo;
    OKBtn: TBitBtn;
    Image1: TImage;
    Shape1: TShape;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure OKBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Label1MouseEnter(Sender: TObject);
    procedure Label2MouseEnter(Sender: TObject);
    procedure Label2MouseLeave(Sender: TObject);
    procedure Label1MouseLeave(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    FAbout:TStringList;
    FLicence:TStringList;

    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

const

  clLinkInActive=$00DC6400;
  clLinkActive=$008000FF;

implementation

{$R *.DFM}
{$R ABOUT.RES}

procedure TAboutForm.OKBtn1Click(Sender: TObject);
begin
Memo.Lines.Assign(FAbout);
Close;
end;

procedure TAboutForm.FormCreate(Sender: TObject);
var RS:TResourceStream;
begin
FAbout:=TStringList.Create;
FLicence:=TStringList.Create;

RS:=TResourceStream.Create(HInstance,'licence','TSTRINGLIST');
FLicence.LoadFromStream(RS);
RS.Free;
end;

procedure TAboutForm.Label1MouseEnter(Sender: TObject);
begin
Label1.Font.Color:=clLinkActive;
end;

procedure TAboutForm.Label2MouseEnter(Sender: TObject);
begin
Label2.Font.Color:=clLinkActive;
end;

procedure TAboutForm.Label2MouseLeave(Sender: TObject);
begin
Label2.Font.Color:=clLinkInActive;
end;

procedure TAboutForm.Label1MouseLeave(Sender: TObject);
begin
Label1.Font.Color:=clLinkInActive;
end;

procedure TAboutForm.Label2Click(Sender: TObject);
begin
ShellExecute(0,'open','mailto: help@vampyre.wz.cz',nil,nil,SW_SHOW);
end;

procedure TAboutForm.Label1Click(Sender: TObject);
begin
ShellExecute(0,'open','www.vampyre.wz.cz',nil,nil,SW_SHOW);
end;

procedure TAboutForm.FormShow(Sender: TObject);
begin
FAbout.Clear;
FAbout.Assign(Memo.Lines);
end;

procedure TAboutForm.FormDestroy(Sender: TObject);
begin
FAbout.Free;
FLicence.Free;
end;

procedure TAboutForm.Button1Click(Sender: TObject);
begin
Memo.Lines.Assign(FAbout);
Memo.Alignment:=taCenter;
end;

procedure TAboutForm.Button2Click(Sender: TObject);
begin
Memo.Lines.Assign(FLicence);
Memo.Alignment:=taLeftJustify;
end;

end.

